Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/vlspltqs_loc.f90	(revision 5116)
@@ -48,5 +48,5 @@
   INTEGER :: ijb,ije,ijb_x,ije_x
 
-  !write(*,*) 'vlspltqs 58: entree vlxqs_loc, iq,ijb_x=',
+  !WRITE(*,*) 'vlspltqs 58: entree vlxqs_loc, iq,ijb_x=',
   ! &   iq,ijb_x
 
@@ -309,5 +309,5 @@
   ! CRisi: appel recursif de l'advection sur les fils.
   ! Il faut faire ca avant d'avoir mis a jour q et masse
-  !write(*,*) 'vlspltqs 336: iq,ijb_x,nqChildren(iq)=',
+  !WRITE(*,*) 'vlspltqs 336: iq,ijb_x,nqChildren(iq)=',
   ! &     iq,ijb_x,tracers(iq)%nqChildren
 
@@ -330,10 +330,10 @@
   do ifils=1,tracers(iq)%nqChildren
     iq2=tracers(iq)%iqDescen(ifils)
-    !write(*,*) 'vlxqs 349: on appelle vlx pour iq2=',iq2
+    !WRITE(*,*) 'vlxqs 349: on appelle vlx pour iq2=',iq2
     CALL vlx_loc(Ratio,pente_max,masse,u_mq,ijb_x,ije_x,iq2)
   enddo
   ! end CRisi
 
-  !write(*,*) 'vlspltqs 360: iq,ijb_x=',iq,ijb_x
+  !WRITE(*,*) 'vlspltqs 360: iq,ijb_x=',iq,ijb_x
 
   !   calcul des tendances
@@ -356,5 +356,5 @@
 !$OMP END DO NOWAIT
 
-  !write(*,*) 'vlspltqs 380: iq,ijb_x=',iq,ijb_x
+  !WRITE(*,*) 'vlspltqs 380: iq,ijb_x=',iq,ijb_x
 
   ! retablir les fils en rapport de melange par rapport a l'air:
@@ -373,5 +373,5 @@
   enddo
 
-  !write(*,*) 'vlspltqs 399: iq,ijb_x=',iq,ijb_x
+  !WRITE(*,*) 'vlspltqs 399: iq,ijb_x=',iq,ijb_x
 
   ! CALL SCOPY((jjm-1)*llm,q(iip1+iip1,1),iip1,q(iip2,1),iip1)
@@ -452,6 +452,6 @@
   ij=3525
   l=3
-  if ((ij>=ijb).and.(ij<=ije)) then
-    !write(*,*) 'vlyqs 480: ij,l,iq,ijb,q(ij,l,:)=',
+  if ((ij>=ijb).and.(ij<=ije)) THEN
+    !WRITE(*,*) 'vlyqs 480: ij,l,iq,ijb,q(ij,l,:)=',
   ! &             ij,l,iq,ijb,q(ij,l,:)
   endif
@@ -488,5 +488,5 @@
   !    le pole nord) qui sera utilisee pour evaluer les pentes au pole.
 
-  if (pole_nord) then
+  if (pole_nord) THEN
     DO i = 1, iim
       airescb(i) = aire(i+ iip1) * q(i+ iip1,l,iq)
@@ -495,5 +495,5 @@
   endif
 
-  if (pole_sud) then
+  if (pole_sud) THEN
     DO i = 1, iim
       airesch(i) = aire(i+ ip1jm- iip1) * q(i+ ip1jm- iip1,l,iq)
@@ -701,5 +701,5 @@
   ! CRisi: appel recursif de l'advection sur les fils.
   ! Il faut faire ca avant d'avoir mis a jour q et masse
-  ! write(*,*)'vlyqs 689: iq,nqChildren(iq)=',iq,
+  ! WRITE(*,*)'vlyqs 689: iq,nqChildren(iq)=',iq,
   !    &             tracers(iq)%nqChildren
 
@@ -713,7 +713,7 @@
   if (pole_sud)  ijem=ij_end
 
-  !write(lunout,*) 'vlspltqs 737: iq,ijb,ije=',iq,ijb,ije
-  !write(lunout,*) 'ij_begin,ij_end=',ij_begin,ij_end
-  !write(lunout,*) 'pole_nord,pole_sud=',pole_nord,pole_sud
+  !WRITE(lunout,*) 'vlspltqs 737: iq,ijb,ije=',iq,ijb,ije
+  !WRITE(lunout,*) 'ij_begin,ij_end=',ij_begin,ij_end
+  !WRITE(lunout,*) 'pole_nord,pole_sud=',pole_nord,pole_sud
   do ifils=1,tracers(iq)%nqDescen
     iq2=tracers(iq)%iqDescen(ifils)
@@ -730,5 +730,5 @@
       DO ij=ijb,ije
         !MVals: veiller a ce qu'on n'ait pas de denominateur nul
-        !write(lunout,*) 'ij,l,q(ij,l,iq)=',ij,l,q(ij,l,iq)
+        !WRITE(lunout,*) 'ij,l,q(ij,l,iq)=',ij,l,q(ij,l,iq)
         if (q(ij,l,iq)>min_qParent) then ! modif 13 nov 2020
           Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
@@ -742,5 +742,5 @@
   do ifils=1,tracers(iq)%nqChildren
     iq2=tracers(iq)%iqDescen(ifils)
-    !write(lunout,*) 'vly: appel recursiv vly iq2=',iq2
+    !WRITE(lunout,*) 'vly: appel recursiv vly iq2=',iq2
     CALL vly_loc(Ratio,pente_max,masse,qbyv,iq2)
   enddo
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/wrgrads.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/wrgrads.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/wrgrads.f90	(revision 5116)
@@ -2,4 +2,5 @@
 
 SUBROUTINE wrgrads(if, nl, field, name, titlevar)
+  USE lmdz_formcoord, ONLY: formcoord
   IMPLICIT NONE
 
@@ -14,12 +15,12 @@
 
   !   arguments
-  integer :: if, nl
-  real :: field(imx * jmx * lmx)
-  character(len = 10) :: name, file
-  character(len = 10) :: titlevar
+  INTEGER :: if, nl
+  REAL :: field(imx * jmx * lmx)
+  CHARACTER(LEN = 10) :: name, file
+  CHARACTER(LEN = 10) :: titlevar
 
   !   local
 
-  integer :: im, jm, lm, i, j, l, iv, iii, iji, iif, ijf
+  INTEGER :: im, jm, lm, i, j, l, iv, iii, iji, iif, ijf
 
   logical :: writectl
@@ -39,6 +40,6 @@
   PRINT*, im, jm, lm, name, firsttime(if)
 
-  if(firsttime(if)) then
-    if(name==var(1, if)) then
+  IF(firsttime(if)) THEN
+    IF(name==var(1, if)) THEN
       firsttime(if) = .FALSE.
       ivar(if) = 1
@@ -62,10 +63,10 @@
   else
     ivar(if) = mod(ivar(if), nvar(if)) + 1
-    if (ivar(if)==nvar(if)) then
+    if (ivar(if)==nvar(if)) THEN
       writectl = .TRUE.
       itime(if) = itime(if) + 1
     endif
 
-    if(var(ivar(if), if)/=name) then
+    IF(var(ivar(if), if)/=name) THEN
       PRINT*, 'Il faut stoker la meme succession de champs a chaque'
       PRINT*, 'pas de temps'
@@ -85,32 +86,31 @@
     !    s (l-1)*imd(if)*jmd(if)+(iji-1)*imd(if)+iii
     !    s ,(l-1)*imd(if)*jmd(if)+(ijf-1)*imd(if)+iif
-    write(unit(if) + 1, rec = irec(if)) &
+    WRITE(unit(if) + 1, rec = irec(if)) &
             ((field((l - 1) * imd(if) * jmd(if) + (j - 1) * imd(if) + i) &
                     , i = iii, iif), j = iji, ijf)
   enddo
-  if (writectl) then
-
+  if (writectl) THEN
     file = fichier(if)
     !   WARNING! on reecrase le fichier .ctl a chaque ecriture
     open(unit(if), file = trim(file) // '.ctl' &
             , form = 'formatted', status = 'unknown')
-    write(unit(if), '(a5,1x,a40)') &
+    WRITE(unit(if), '(a5,1x,a40)') &
             'DSET ', '^' // trim(file) // '.dat'
 
-    write(unit(if), '(a12)') 'UNDEF 1.0E30'
-    write(unit(if), '(a5,1x,a40)') 'TITLE ', title(if)
+    WRITE(unit(if), '(a12)') 'UNDEF 1.0E30'
+    WRITE(unit(if), '(a5,1x,a40)') 'TITLE ', title(if)
     CALL formcoord(unit(if), im, xd(iii, if), 1., .FALSE., 'XDEF')
     CALL formcoord(unit(if), jm, yd(iji, if), 1., .TRUE., 'YDEF')
     CALL formcoord(unit(if), lm, zd(1, if), 1., .FALSE., 'ZDEF')
-    write(unit(if), '(a4,i10,a30)') &
+    WRITE(unit(if), '(a4,i10,a30)') &
             'TDEF ', itime(if), ' LINEAR 02JAN1987 1MO '
-    write(unit(if), '(a4,2x,i5)') 'VARS', nvar(if)
+    WRITE(unit(if), '(a4,2x,i5)') 'VARS', nvar(if)
     do iv = 1, nvar(if)
       ! PRINT*,'if,var(iv,if),nld(iv,if),nld(iv,if)-1/nld(iv,if)'
       ! PRINT*,if,var(iv,if),nld(iv,if),nld(iv,if)-1/nld(iv,if)
-      write(unit(if), 1000) var(iv, if), nld(iv, if) - 1 / nld(iv, if) &
+      WRITE(unit(if), 1000) var(iv, if), nld(iv, if) - 1 / nld(iv, if) &
               , 99, tvar(iv, if)
     enddo
-    write(unit(if), '(a7)') 'ENDVARS'
+    WRITE(unit(if), '(a7)') 'ENDVARS'
     !
     1000   format(a5, 3x, i4, i3, 1x, a39)
@@ -120,6 +120,4 @@
   endif ! writectl
 
-
-
 END SUBROUTINE wrgrads
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_loc.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_loc.F90	(revision 5116)
@@ -13,5 +13,5 @@
   
   SUBROUTINE write_field1D_u(name,Field)
-    character(len=*)   :: name
+    CHARACTER(LEN=*)   :: name
     real, dimension(:) :: Field
 
@@ -23,7 +23,7 @@
     IMPLICIT NONE
       
-    character(len=*)   :: name
+    CHARACTER(LEN=*)   :: name
     real, dimension(:,:) :: Field
-    integer :: ll
+    INTEGER :: ll
     
     ll=size(field,2)    
@@ -41,5 +41,5 @@
     include 'paramet.h'
       
-    character(len=*)   :: name
+    CHARACTER(LEN=*)   :: name
     real, dimension(ijb_u:ije_u,ll) :: Field
     real, allocatable,SAVE :: New_Field(:,:,:)
@@ -47,5 +47,5 @@
     type(Request),SAVE :: Request_write
 !$OMP THREADPRIVATE(Request_write)
-    integer :: ll,i
+    INTEGER :: ll,i
     
     
@@ -78,5 +78,5 @@
 
   SUBROUTINE write_field1D_v(name,Field)
-    character(len=*)   :: name
+    CHARACTER(LEN=*)   :: name
     real, dimension(:) :: Field
 
@@ -88,7 +88,7 @@
     IMPLICIT NONE
       
-    character(len=*)   :: name
+    CHARACTER(LEN=*)   :: name
     real, dimension(:,:) :: Field
-    integer :: ll
+    INTEGER :: ll
     
     ll=size(field,2)    
@@ -106,5 +106,5 @@
     include 'paramet.h'
       
-    character(len=*)   :: name
+    CHARACTER(LEN=*)   :: name
     real, dimension(ijb_v:ije_v,ll) :: Field
     real, allocatable,SAVE :: New_Field(:,:,:)
@@ -112,5 +112,5 @@
     type(Request),SAVE :: Request_write
 !$OMP THREADPRIVATE(Request_write)    
-    integer :: ll,i,jje,ije,jjn
+    INTEGER :: ll,i,jje,ije,jjn
     
     
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_p.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_p.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/write_field_p.F90	(revision 5116)
@@ -14,5 +14,5 @@
   
     integer, parameter :: MaxDim=1
-    character(len=*)   :: name
+    CHARACTER(LEN=*)   :: name
     real, dimension(:) :: Field
     real, dimension(:),allocatable :: New_Field
@@ -35,5 +35,5 @@
   
     integer, parameter :: MaxDim=2
-    character(len=*)   :: name
+    CHARACTER(LEN=*)   :: name
     real, dimension(:,:) :: Field
     real, dimension(:,:),allocatable :: New_Field
@@ -56,5 +56,5 @@
   
     integer, parameter :: MaxDim=3
-    character(len=*)   :: name
+    CHARACTER(LEN=*)   :: name
     real, dimension(:,:,:) :: Field
     real, dimension(:,:,:),allocatable :: New_Field
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedyn_xios.F90	(revision 5116)
@@ -59,5 +59,5 @@
   logical ok_sync
   integer itau_w
-  integer :: ijb, ije, jjn
+  INTEGER :: ijb, ije, jjn
   LOGICAL, SAVE :: first = .TRUE.
   LOGICAL, SAVE :: debuglf = .TRUE.
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writedynav_loc.f90	(revision 5116)
@@ -57,5 +57,5 @@
   REAL :: phis(ijb_u:ije_u)
   REAL :: q(ijb_u:ije_u, llm, nqtot)
-  integer :: time
+  INTEGER :: time
 
 
@@ -68,6 +68,6 @@
   REAL, SAVE, ALLOCATABLE :: vnat(:, :), unat(:, :)
   logical :: ok_sync
-  integer :: itau_w
-  integer :: ijb, ije, jjn
+  INTEGER :: itau_w
+  INTEGER :: ijb, ije, jjn
   LOGICAL, SAVE :: first = .TRUE.
   !$OMP THREADPRIVATE(first)
@@ -209,5 +209,5 @@
   !
   !$OMP MASTER
-  if (ok_sync) then
+  if (ok_sync) THEN
     CALL histsync(histaveid)
     CALL histsync(histvaveid)
@@ -215,3 +215,3 @@
   ENDIF
   !$OMP END MASTER
-end subroutine writedynav_loc
+END SUBROUTINE writedynav_loc
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3dmem/writehist_loc.f90	(revision 5116)
@@ -54,5 +54,5 @@
   REAL :: phis(ijb_u:ije_u)
   REAL :: q(ijb_u:ije_u, llm, nqtot)
-  integer :: time
+  INTEGER :: time
 
 
@@ -65,6 +65,6 @@
   REAL, SAVE, ALLOCATABLE :: vnat(:, :), unat(:, :)
   logical :: ok_sync
-  integer :: itau_w
-  integer :: ijb, ije, jjn
+  INTEGER :: itau_w
+  INTEGER :: ijb, ije, jjn
   LOGICAL, SAVE :: first = .TRUE.
   !$OMP THREADPRIVATE(first)
@@ -205,5 +205,5 @@
   !
   !$OMP MASTER
-  if (ok_sync) then
+  if (ok_sync) THEN
     CALL histsync(histid)
     CALL histsync(histvid)
@@ -211,3 +211,3 @@
   endif
   !$OMP END MASTER
-end subroutine writehist_loc
+END SUBROUTINE writehist_loc
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/calfis.f90	(revision 5116)
@@ -180,9 +180,9 @@
     debut = .TRUE.
     IF (ngridmx/=2+(jjm-1)*iim) THEN
-     write(lunout,*) 'STOP dans calfis'
-     write(lunout,*) &
+     WRITE(lunout,*) 'STOP dans calfis'
+     WRITE(lunout,*) &
            'La dimension ngridmx doit etre egale a 2 + (jjm-1)*iim'
-     write(lunout,*) '  ngridmx  jjm   iim   '
-     write(lunout,*) ngridmx,jjm,iim
+     WRITE(lunout,*) '  ngridmx  jjm   iim   '
+     WRITE(lunout,*) ngridmx,jjm,iim
      CALL abort_gcm("calfis", "", 1)
     ENDIF
@@ -299,5 +299,5 @@
   !   convergence dynamique pour les traceurs "EAU"
   ! Earth-specific treatment of first 2 tracers (water)
-   if (planet_type=="earth") then
+   if (planet_type=="earth") THEN
     DO iq=1,2
      DO l=1,llm
@@ -467,5 +467,5 @@
 
 
-   ! write(lunout,*) 'PHYSIQUE AVEC NSPLIT_PHYS=',nsplit_phys
+   ! WRITE(lunout,*) 'PHYSIQUE AVEC NSPLIT_PHYS=',nsplit_phys
   zdt_split=dtphys/nsplit_phys
   zdufic(:,:)=0.
@@ -482,5 +482,5 @@
      lafin_split=lafin.and.isplit==nsplit_phys
 
-   ! if (planet_type=="earth") then
+   ! if (planet_type=="earth") THEN
     CALL call_physiq(ngridmx,llm,nqtot,tracers(:)%name, &
           debut_split,lafin_split, &
@@ -493,6 +493,5 @@
           zdufi,zdvfi,zdtfi,zdqfi,zdpsrf)
 
-   ! else if ( planet_type=="generic" ) then
-
+   ! else if ( planet_type=="generic" ) THEN
    !    CALL physiq (ngridmx,     !! ngrid
   ! .             llm,            !! nlayer
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/gr_dyn_fi.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/gr_dyn_fi.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/gr_dyn_fi.f90	(revision 5116)
@@ -22,5 +22,5 @@
   !   -------
 
-  IF (ngrid/=2+(jm-2)*(im-1)) then
+  IF (ngrid/=2+(jm-2)*(im-1)) THEN
      CALL abort_gcm("gr_dyn_fi", 'probleme de dim', 1)
   end if
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/inigeomphy_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/inigeomphy_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/inigeomphy_mod.F90	(revision 5116)
@@ -144,5 +144,5 @@
         boundslonfi_glo(k,north_east)=rlonu(i)
         boundslatfi_glo(k,north_east)=rlatv(j-1)
-        if (i==1) then
+        if (i==1) THEN
           ! special case for the first longitude's west bound
           boundslonfi_glo(k,north_west)=rlonu(iim)-2*PI
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/lmdz_calfis_loc.F90	(revision 5116)
@@ -227,5 +227,5 @@
   INTEGER, dimension(4) :: Req
   REAL,ALLOCATABLE,SAVE:: zdufi2(:,:),zdvfi2(:,:)
-  integer :: k,kstart,kend
+  INTEGER :: k,kstart,kend
   INTEGER :: offset
   INTEGER :: jjb,jje
@@ -243,9 +243,9 @@
     debut = .TRUE.
     IF (ngridmx/=2+(jjm-1)*iim) THEN
-      write(lunout,*) 'STOP dans calfis'
-      write(lunout,*) &
+      WRITE(lunout,*) 'STOP dans calfis'
+      WRITE(lunout,*) &
             'La dimension ngridmx doit etre egale a 2 + (jjm-1)*iim'
-      write(lunout,*) '  ngridmx  jjm   iim   '
-      write(lunout,*) ngridmx,jjm,iim
+      WRITE(lunout,*) '  ngridmx  jjm   iim   '
+      WRITE(lunout,*) ngridmx,jjm,iim
       CALL abort_gcm("calfis_loc", "", 1)
     ENDIF
@@ -423,5 +423,5 @@
       i=index_i(ig0)
       j=index_j(ig0)
-      if (i==1) then
+      if (i==1) THEN
         zufi(ig0,l)= 0.5 *(  pucov(iim,j,l)/cu(iim,j) &
               + pucov(1,j,l)/cu(1,j) )
@@ -472,5 +472,5 @@
         zrfi(ig0,l) = 0 !  AdlC MAY 2014
       else
-        if(i==1)then
+        IF(i==1)THEN
         zrfi(ig0,l)= 0.25 *(zrot(iim,j-1,l)+zrot(iim,j,l) &
               +zrot(1,j-1,l)+zrot(1,j,l))   !  AdlC MAY 2014
@@ -491,5 +491,5 @@
      ! V = 1 / pi  *  integrale [ v * sin(long) * d long ]
 
-  if (is_north_pole_dyn) then
+  if (is_north_pole_dyn) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l=1,llm
@@ -519,5 +519,5 @@
      ! V = 1 / pi  *  integrale [ v * sin(long) * d long ]
 
-  if (is_south_pole_dyn) then
+  if (is_south_pole_dyn) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l=1,llm
@@ -561,5 +561,5 @@
 
 !$OMP BARRIER
-  if (first_omp) then
+  if (first_omp) THEN
     klon=klon_omp
 
@@ -697,5 +697,5 @@
 
 !$OMP MASTER
-   ! write(lunout,*) 'PHYSIQUE AVEC NSPLIT_PHYS=',nsplit_phys
+   ! WRITE(lunout,*) 'PHYSIQUE AVEC NSPLIT_PHYS=',nsplit_phys
 !$OMP END MASTER
   zdt_split=dtphys/nsplit_phys
@@ -837,6 +837,5 @@
   IF (using_mpi) THEN
 
-  if (MPI_rank>0) then
-
+  if (MPI_rank>0) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
    DO l=1,llm
@@ -861,5 +860,5 @@
   endif
 
-  if (MPI_rank<MPI_Size-1) then
+  if (MPI_rank<MPI_Size-1) THEN
 !$OMP BARRIER
 
@@ -880,9 +879,9 @@
 !$OMP MASTER
 !$OMP CRITICAL (MPI)
-  if (MPI_rank>0 .and. MPI_rank< MPI_Size-1) then
+  if (MPI_rank>0 .and. MPI_rank< MPI_Size-1) THEN
     CALL MPI_WAITALL(4,Req(1),Status,ierr)
-  else if (MPI_rank>0) then
+  else if (MPI_rank>0) THEN
     CALL MPI_WAITALL(2,Req(1),Status,ierr)
-  else if (MPI_rank <MPI_Size-1) then
+  else if (MPI_rank <MPI_Size-1) THEN
     CALL MPI_WAITALL(2,Req(3),Status,ierr)
   endif
@@ -909,5 +908,5 @@
     pdvfi(:,jj_begin,l)=0
 
-    if (.not. is_south_pole_dyn) then
+    if (.not. is_south_pole_dyn) THEN
       pdhfi(:,jj_end:jj_end+1,l)=0
       pdqfi(:,jj_end:jj_end+1,l,:)=0
@@ -922,5 +921,5 @@
     pdpsfi(:,jj_begin)=0
 
-   if (.not. is_south_pole_dyn) then
+   if (.not. is_south_pole_dyn) THEN
      pdpsfi(:,jj_end:jj_end+1)=0
    endif
@@ -951,5 +950,5 @@
      enddo
 
-    if (is_north_pole_dyn) then
+    if (is_north_pole_dyn) THEN
         DO i=1,iip1
           pdpsfi(i,1)    = zdpsrf(1)
@@ -957,5 +956,5 @@
     endif
 
-    if (is_south_pole_dyn) then
+    if (is_south_pole_dyn) THEN
         DO i=1,iip1
           pdpsfi(i,jjp1) = zdpsrf(klon)
@@ -987,5 +986,5 @@
      enddo
 
-    if (is_north_pole_dyn) then
+    if (is_north_pole_dyn) THEN
         DO i=1,iip1
           pdhfi(i,1,l)    = cpp *  zdtfi(1,l)      / ppk(i, 1  ,l)
@@ -993,5 +992,5 @@
     endif
 
-    if (is_south_pole_dyn) then
+    if (is_south_pole_dyn) THEN
         DO i=1,iip1
           pdhfi(i,jjp1,l) = cpp *  zdtfi(klon,l)/ ppk(i,jjp1,l)
@@ -1015,5 +1014,5 @@
    !      enddo
 
-  !       if (is_north_pole_dyn) then
+  !       if (is_north_pole_dyn) THEN
   !         do i=1,iip1
   !           pdqfi(i,1,l,iq)    = zdqfi(1,l,iq)
@@ -1021,5 +1020,5 @@
   !       endif
 
-  !       if (is_south_pole_dyn) then
+  !       if (is_south_pole_dyn) THEN
   !         do i=1,iip1
   !           pdqfi(i,jjp1,l,iq) = zdqfi(klon,l,iq)
@@ -1057,5 +1056,5 @@
         ENDDO
 
-        IF (is_north_pole_dyn) then
+        IF (is_north_pole_dyn) THEN
           DO i=1,iip1
             pdqfi(i,1,l,iq)    = zdqfi(1,l,itr)
@@ -1063,5 +1062,5 @@
         ENDIF
 
-        IF (is_south_pole_dyn) then
+        IF (is_south_pole_dyn) THEN
           DO i=1,iip1
             pdqfi(i,jjp1,l,iq) = zdqfi(klon,l,itr)
@@ -1084,9 +1083,9 @@
        j=index_j(ig0)
 
-       if (i/=iim) then
+       if (i/=iim) THEN
          pdufi(i,j,l)=0.5*(zdufi2(ig0,l)+zdufi2(ig0+1,l))*cu(i,j)
        endif
 
-       if (i==1) then
+       if (i==1) THEN
           pdufi(iim,j,l)=0.5*(  zdufi2(ig0,l) &
                 + zdufi2(ig0+iim-1,l))*cu(iim,j)
@@ -1096,5 +1095,5 @@
      enddo
 
-     if (is_north_pole_dyn) then
+     if (is_north_pole_dyn) THEN
        DO i=1,iip1
         pdufi(i,1,l)    = 0.
@@ -1102,5 +1101,5 @@
      endif
 
-     if (is_south_pole_dyn) then
+     if (is_south_pole_dyn) THEN
        DO i=1,iip1
         pdufi(i,jjp1,l) = 0.
@@ -1142,6 +1141,5 @@
    ! v = U * cos(long) + V * SIN(long)
 
-  if (is_north_pole_dyn) then
-
+  if (is_north_pole_dyn) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
     DO l=1,llm
@@ -1162,6 +1160,5 @@
   endif
 
-  if (is_south_pole_dyn) then
-
+  if (is_south_pole_dyn) THEN
 !$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
      DO l=1,llm
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/callphysiq_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/callphysiq_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/callphysiq_mod.F90	(revision 5116)
@@ -69,5 +69,5 @@
 
   !$OMP MASTER
-  if (ok_dyn_xios) then
+  if (ok_dyn_xios) THEN
      CALL xios_get_current_context(dyn3d_ctx_handle)
   endif
@@ -99,5 +99,5 @@
 ! switching back to LMDZDYN context
 !$OMP MASTER
-  if (ok_dyn_xios) then
+  if (ok_dyn_xios) THEN
      CALL xios_set_current_context(dyn3d_ctx_handle)
   endif
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/ce0l.F90	(revision 5116)
@@ -36,5 +36,5 @@
   USE mod_hallo,      ONLY: init_mod_hallo
   USE mod_interface_dyn_phys, ONLY: init_interface_dyn_phys
-  USE lmdz_xios, only: using_xios, xios_finalize
+  USE lmdz_xios, ONLY: using_xios, xios_finalize
 #endif
 
Index: /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5116)
@@ -1,44 +1,44 @@
 MODULE etat0dyn
 
-!*******************************************************************************
-! Purpose: Create dynamical initial state using atmospheric fields from a
-!          database of atmospheric to initialize the model.
-!-------------------------------------------------------------------------------
-! Comments:
-
-!    *  This module is designed to work for Earth (and with ioipsl)
-
-!    *  etat0dyn_netcdf routine can access to NetCDF data through the following
-!  routine (to be called after restget):
-!    CALL startget_dyn3d(varname, lon_in,  lat_in, pls, workvar,&
-!                          champ, lon_in2, lat_in2)
-
-!    *  Variables should have the following names in the NetCDF files:
-!            'U'      : East ward wind              (in "ECDYN.nc")
-!            'V'      : Northward wind              (in "ECDYN.nc")
-!            'TEMP'   : Temperature                 (in "ECDYN.nc")
-!            'R'      : Relative humidity           (in "ECDYN.nc")
-!            'RELIEF' : High resolution orography   (in "Relief.nc") 
-
-!    * The land mask and corresponding weights can be:
-!      1) already known (in particular if etat0dyn has been called before) ;
-!         in this case, ANY(masque(:,:)/=-99999.) = .TRUE.
-!      2) computed using the ocean mask from the ocean model (to ensure ocean
-!         fractions are the same for atmosphere and ocean) for coupled runs.
-!         File name: "o2a.nc"  ;  variable name: "OceMask"
-!      3) computed from topography file "Relief.nc" for forced runs.
-
-!   *   There is a big mess with the longitude size. Should it be iml or iml+1 ?
-!  I have chosen to use the iml+1 as an argument to this routine and we declare
-!  internaly smaller fields when needed. This needs to be cleared once and for
-!  all in LMDZ. A convention is required.
-!-------------------------------------------------------------------------------
-  USE ioipsl,         ONLY: flininfo, flinopen, flinget, flinclo, histclo
-  USE lmdz_assert_eq,    ONLY: assert_eq
+  !*******************************************************************************
+  ! Purpose: Create dynamical initial state using atmospheric fields from a
+  !          database of atmospheric to initialize the model.
+  !-------------------------------------------------------------------------------
+  ! Comments:
+
+  !    *  This module is designed to work for Earth (and with ioipsl)
+
+  !    *  etat0dyn_netcdf routine can access to NetCDF data through the following
+  !  routine (to be called after restget):
+  !    CALL startget_dyn3d(varname, lon_in,  lat_in, pls, workvar,&
+  !                          champ, lon_in2, lat_in2)
+
+  !    *  Variables should have the following names in the NetCDF files:
+  !            'U'      : East ward wind              (in "ECDYN.nc")
+  !            'V'      : Northward wind              (in "ECDYN.nc")
+  !            'TEMP'   : Temperature                 (in "ECDYN.nc")
+  !            'R'      : Relative humidity           (in "ECDYN.nc")
+  !            'RELIEF' : High resolution orography   (in "Relief.nc")
+
+  !    * The land mask and corresponding weights can be:
+  !      1) already known (in particular if etat0dyn has been called before) ;
+  !         in this case, ANY(masque(:,:)/=-99999.) = .TRUE.
+  !      2) computed using the ocean mask from the ocean model (to ensure ocean
+  !         fractions are the same for atmosphere and ocean) for coupled runs.
+  !         File name: "o2a.nc"  ;  variable name: "OceMask"
+  !      3) computed from topography file "Relief.nc" for forced runs.
+
+  !   *   There is a big mess with the longitude size. Should it be iml or iml+1 ?
+  !  I have chosen to use the iml+1 as an argument to this routine and we declare
+  !  internaly smaller fields when needed. This needs to be cleared once and for
+  !  all in LMDZ. A convention is required.
+  !-------------------------------------------------------------------------------
+  USE ioipsl, ONLY: flininfo, flinopen, flinget, flinclo, histclo
+  USE lmdz_assert_eq, ONLY: assert_eq
   USE comconst_mod, ONLY: pi, cpp, kappa
   USE comvert_mod, ONLY: ap, bp, preff, pressure_exner
   USE temps_mod, ONLY: annee_ref, day_ref, itau_dyn, itau_phy, start_time
   USE strings_mod, ONLY: strLower
-  
+
   IMPLICIT NONE
 
